#include <windows.h>
#include <stdio.h>

VOID CALLBACK TimerProc(HWND,UINT,UINT,DWORD)
{
    HANDLE clip;
    char *text;
    static char *oldtext;

    OpenClipboard(NULL);
    clip=GetClipboardData(CF_TEXT);
    text=(char *)GlobalLock(clip);
    GlobalUnlock(clip);
    CloseClipboard();

    if(!text)
    {
        delete[] oldtext;
        oldtext=NULL;
        return;
    }

    if(oldtext)
    {
        if(strcmp(oldtext,text)==0)
        {
            return;
        }
    }

    delete[] oldtext;
    oldtext=new char[strlen(text)];
    memcpy(oldtext,text,strlen(text));
    oldtext[strlen(text)]=NULL;

    FILE *output;

    if((output=fopen("ClipRec.txt","a"))==NULL)
        return;

    fprintf(output,"%s\n",text);
    fclose(output);
}

int PASCAL WinMain(HINSTANCE,HINSTANCE,LPSTR,int)
{
    SetTimer(0,0,100,(TIMERPROC)TimerProc);

    MSG msg;

    while (GetMessage(&msg,NULL, 0, 0))
    {
        TranslateMessage(&msg);
        DispatchMessage(&msg);
    }

    KillTimer(0,0);
    return 0;
}

